@import "~material-design-icons/iconfont/material-icons.css";

#top{
    height: 20px;
    width: 100%;
}

.next_class_schedule_container,.next_shuttle_schedule_container{
    position: relative;
    height: 120px;
    overflow: hidden;
    padding: 0;
    p{
        position: relative;
        text-align: left;
        color: white;
        padding-left: 10px;
        z-index: 3;
        line-height: 1px;
    }
    .class-img{
        position: absolute;
        top: 0;
        left: 0;
        margin:0;
        object-fit: cover;
        border-radius: 2px;
        width: 100%;
        height: 100%;
    }
    .shuttle-img{
        position: absolute;
        top: 0;
        margin:0;
        left: 0;
        object-fit: cover;
        border-radius: 2px;
        width: 100%;
        height: 100%;
    }
    .dark_overlay{
        background: linear-gradient(to top, rgba(0, 0, 0, 0.70), rgba(0, 0, 0, 0.20));
        position: absolute;
        z-index: 1;
        width: 100%;
        height: 100%;
    }
    a{
        right: 20px;
        bottom: 20px;
        font-size: 1.2em;
        position: absolute;
        margin: auto;
        z-index: 3;
        color: white;
    }
}

.right-container{
    display: flex;
    width: 100%;
    .mat-card{
        position: relative;
        overflow:hidden;
        max-width: 200px;
        padding: 0;
        height: 90px;
        img{
            position: absolute;
            width: 250px;
            left:-50px;
            margin: auto;
        }
        #medal{
            position: absolute;
            right: 0px;
            left:60px;
            top:0px;
            z-index: 4;
            width: 102px;
            height: 68px;
        }
        .dark_overlay{
            background: linear-gradient(to top, rgba(0, 0, 0, 0.70), rgba(0, 0, 0, 0.20));
            position: absolute;
            z-index: 1;
            width: 100%;
            height: 100%;
        }
        a{
            right: 10px;
            bottom: 10px;
            font-size: 0.7em;
            position: absolute;
            margin: auto;
            z-index: 3;
            color: white;
        }
    }
    
}
.left-container{
    width: 100%;
    position: relative;
    .mat-card{
        height: 160px;
        padding-top:15px;
    }
    h2{
        top:0;
        font-size: 1.2em;
    }
    p{
        top:-5px;
        left: 130px;
    }
    h2,p{
        position: relative;
        text-align: left;
    }
    img{
        position: absolute;
        border: 2px solid black;
        width: 100px;
        left: 35px;
        top: 70px;
        height: 120px;
        margin-top:0;
    }
    
}
.bottom_container{
    display: flex;
    width: 100%;
    margin-bottom: 20px;
    .mat-card{
        height: 110px;
        padding: 0;
        top:0;
    }
    .flip3D{
        position: relative;
        height: 110px;
    }
    .flip3D > .thefront{
        position: absolute;
        width: 100%;
        height: 100%;
        padding: 0;
        transform: perspective(600px) rotateY( 0deg);
        backface-visibility: hidden;
        transition: transform .5s linear 0s;
    }
    .flip3D:hover > .thefront{
        transform: perspective(600px) rotateY(-180deg);
    
    }
    .flip3D > .theback{
        width: 100%;
        padding: 0;
        height: 100%;
        position: absolute;
        transform: perspective(600px) rotateY( 180deg);
        backface-visibility: hidden;
        transition: transform .5s linear 0s;
    }
    .flip3D:hover > .theback{
        transform: perspective(600px) rotateY(0deg);
    
    }
    .mat-icon{
        font-size: 3em;
        color: rgba(200, 200, 200, 0.664);
        left: 10px;
        position: absolute;
        top:8px;
    }
    .words{
        position: relative;
        width: 100px;
        text-align: left;
        left: 70px;
        font-size: 0.8em;
    }
    .numb{
        position: relative;
        width: 100px;
        text-align: left;
        left: 70px;
        top: 20px;
        font-size: 1.8em;
        margin: 0px 0 0 0;
    }
    a{
        right: 10px;
        bottom: 10px;
        font-size: 0.8em;
        position: absolute;
        margin: auto;
        z-index: 3;
        color: black;
    }
}

.profile-header{
    background: linear-gradient(10deg, #b3bbff, #8476ff);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    display: block;
    position: relative;
    padding: 24px;
    border-radius: 2px;
    height: 30px;
    box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    color: #fff;
    font-family: Fontil Sans, monospace;
}

.profile-container{
    display: flex;
    background: linear-gradient(50deg, #eeeeee, #ffffff);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    position: relative;
    padding: 24px;
    border-radius: 2px;
    height: 250px;
    box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    color: #fff;
    font-family: Fontil Sans, monospace;
}
.profile-header,.profile-container{
    animation-name: bounceIn;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    opacity: 0;
    animation-delay: 1.6s;
}
@keyframes bounceIn {
    from,20%,40%,60%,80%,to {
      animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    }
  
    0% {
      opacity: 0;
      transform: scale3d(0.3, 0.3, 0.3);
    }
  
    20% {
      transform: scale3d(1.1, 1.1, 1.1);
    }
  
    40% {
      transform: scale3d(0.9, 0.9, 0.9);
    }
  
    60% {
      opacity: 1;
      transform: scale3d(1.03, 1.03, 1.03);
    }
  
    80% {
      transform: scale3d(0.97, 0.97, 0.97);
    }
  
    to {
      opacity: 1;
      transform: scale3d(1, 1, 1);
    }
  }

.medal{
    background: linear-gradient(60deg, #b3bbff, #8476ff);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    display: block;
    position: relative;
    padding: 24px;
    border-radius: 5px;
    height: 95px;
    box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    color: #fff;
    font-family: Fontil Sans, monospace;
}


.medal00_0,.medal00_1{
    background: linear-gradient(60deg, #9cdfa7, #61d849);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    display: block;
    position: relative;
    padding: 8px;
    border-radius: 5px;
    height: 95px;
    box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    color: #fff;
    font-family: Fontil Sans, monospace;
    animation-name: fadeInDown;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    opacity: 0;
}
.medal00_0{
    animation-delay: 0s;
}
.medal00_1{
    animation-delay: 0.2s;
}

@keyframes fadeInDown{
    from{
        opacity: 0;
        transform: translate3d(0, -100%, 0);
    }
    to{
        opacity: 1;
        transform: translate3d(0,0,0);
    }
}

.medal01_0,.medal01_1,.medal01_2,.medal01_3,.medal01_4,.medal01_5{
    background: linear-gradient(60deg, #eee094, #ffbb54);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    display: block;
    position: relative;
    padding: 8px;
    border-radius: 5px;
    height: 162px;
    box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    color: #fff;
    font-family: Fontil Sans, monospace;
    animation-name: flipInY;
    backface-visibility: visible !important;
    animation-duration: 0.4s;
    animation-fill-mode: forwards;
    opacity: 0;
}

.medal01_0{
    animation-delay: 0.4s;
}
.medal01_1{
    animation-delay: 0.6s;
}
.medal01_2{
    animation-delay: 0.8s;
}
.medal01_3{
    animation-delay: 1.0s;
}
.medal01_4{
    animation-delay: 1.2s;
}
.medal01_5{
    animation-delay: 1.4s;
}

@keyframes flipInY{
    from{
        transform:perspective(400px) rotate3d(0,1,0, 90deg);
        animation-timing-function: ease-in;
        opacity: 0;
    }
    40%{
        transform:perspective(400px) rotate3d(0,1,0,-20deg);
        animation-timing-function: ease-in;
    }
    60%{
        transform:perspective(400px) rotate3d(0,1,0,10deg);
        opacity: 1;
    }
    80%{
        transform:perspective(400px) rotate3d(0,1,0, -5deg);
        opacity: 1;
    }
    to{
        transform: perspective(400px);
        opacity: 1;
    }
}

.medal02_0,.medal02_1,.medal02_2,.medal02_3,.medal02_4{
    background: linear-gradient(60deg, #ffb0a6, #ff5656);
    transition: box-shadow 280ms cubic-bezier(.4,0,.2,1);
    display: block;
    position: relative;
    padding: 8px;
    border-radius: 5px;
    height: 130px;
    box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    color: #fff;
    font-family: Fontil Sans, monospace;
    animation-name: jackInTheBox;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    opacity: 0;
}

.medal02_0{
    animation-delay: 1.8s;
}
.medal02_1{
    animation-delay: 2s;
}
.medal02_2{
    animation-delay: 2.2s;
}
.medal02_3{
    animation-delay: 2.4s;
}
.medal02_4{
    animation-delay: 2.6s;
}
@keyframes jackInTheBox {
    from {
      opacity: 0;
      transform: scale(0.1) rotate(30deg);
      transform-origin: center bottom;
    }
  
    50% {
      transform: rotate(-10deg);
    }
  
    70% {
      transform: rotate(3deg);
    }
  
    to {
      opacity: 1;
      transform: scale(1);
    }
  }

.medal03{
    background: linear-gradient(60deg, #f3f3f3, #ffffff);
    display: block;
    position: relative;
    padding: 20px;
    border-radius: 2px;
    height: 55px;
    color: black;
    font-family: Fontil Sans, monospace;
}

.medal04{
    background: linear-gradient(60deg, #f3f3f3, #ffffff);
    display: block;
    position: relative;
    padding: 20px;
    border-radius: 2px;
    height: 120px;
    color: black;
    font-family: Fontil Sans, monospace;
    animation-name: flipInY;
}

.medal05{
    background: linear-gradient(60deg, #f3f3f3, #ffffff);
    display: block;
    position: relative;
    padding: 20px;
    border-radius: 2px;
    height: 90px;
    color: black;
    font-family: Fontil Sans, monospace;
}

.spacer{
    display: block;
    width: 100%;
}

.mat-card {
    text-align: center;
    img {
        border-radius: 5px;
        margin-top: -25px;
    }
}

.mb-20 {
    margin-bottom: 20px;
}

.news_card{
    min-height: 450px;
    animation-name: fadeIn;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    opacity: 0;
    animation-delay: 0.3s;
}

@keyframes fadeIn{
    from{
        opacity: 0;
    }
    to{
        opacity: 1;
    }
}

@media only screen and (max-width: 425px) {
    .left-container{
        h2{
            top:0;
            font-size: 1.1em;
        }
        p{
            left: 110px;
            font-size: 3.5vw;
            top:10px;
        }
        h2,p{
            position: relative;
            text-align: left;
        }
        img{
            width: 100px;
            left: 20px;
            top: 55px;
            height: 120px;
            margin-top:0;
        }
        
    }
    .right-container{
        .mat-card{
            #medal{
                right: 0px;
                left:-5px;
                top:0px;
                z-index: 4;
                width: 102px;
                height: 68px;
            }
            a{
                text-align: center;
                margin: auto;
                left: 5px;
                bottom: 5px;
            }
        }
        
    }
}

/////

/////
@media only screen and (max-width: 375px) {
    .left-container{
        h2{
            top:0;
            font-size: 1.1em;
        }
        p{
            top:20px;
            left: 100px;
            font-size: 3.5vw;
        }
        h2,p{
            position: relative;
            text-align: left;
        }
        img{
            width: 100px;
            left: 20px;
            top: 55px;
            height: 120px;
            margin-top:0;
        }
        
    }
}

@media only screen and (max-width: 320px) {
    
    .right-container{
        .mat-card{
            #medal{
                right: 0px;
                left:-12px;
                top:0px;
                z-index: 4;
                width: 102px;
                height: 68px;
            }
            a{
                text-align: center;
                margin: auto;
                left: 5px;
                bottom: 5px;
                font-size: 0.5em;
            }
        }
        
    }
}